Bug 994596 - Authconfig withholds error messages
Authconfig withholds error messages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: authconfig (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Mraz
David Spurek
:
Depends On:
Blocks: 1023007
  Show dependency treegraph
 
Reported: 2013-08-07 10:59 EDT by Nikolai Kondrashov
Modified: 2015-03-02 00:27 EST (History)
3 users (show)

See Also:
Fixed In Version: authconfig-6.2.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023007 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:42:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
authconfig-error-message.patch (427 bytes, patch)
2013-08-07 10:59 EDT, Nikolai Kondrashov
no flags Details | Diff

  None (edit)
Description Nikolai Kondrashov 2013-08-07 10:59:17 EDT
Description of problem:
Authconfig doesn't output any error messages in some error conditions.

In particular, AuthInfo.write() discards any exception information and simply
returns a value indicating failure. As a result, authconfig doesn't output any
error message and only returns unsuccessful exit status, which can easily be
overlooked when executing interactively. Even if it is noticed, there is
nothing suggesting what happened.

Version-Release number of selected component (if applicable):
authconfig-6.2.6-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
Execute "authconfig --updateall --enablesssd --enablesssdauth" (which fails on RHEL7)

Actual results:
No output

Expected results:
Error output, for example:
[Errno 2] No such file or directory: '/etc/dconf/db/distro.d/10-authconfigymWW9B'

Additional info:
The attached patch fixes the problem.
Comment 1 Nikolai Kondrashov 2013-08-07 10:59:59 EDT
Created attachment 783958 [details]
authconfig-error-message.patch
Comment 4 Ludek Smid 2014-06-13 08:42:17 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.